import { BoatListingCard } from "@/components/modules/Boat/Boat-listing-card";
import { Banner } from "@/components/modules/Banner";
import { Main } from "@/components/modules/Main";

async function getData(searchParams, params) {
  const query = new URLSearchParams(searchParams).toString();
  console.log(query);
  const res = await fetch(`${process.env.NEXT_PUBLIC_BASE_URL}/boat?${query}`, {
    cache: "force-cache",
  });
  // The return value is *not* serialized
  // You can return Date, Map, Set, etc.

  if (!res.ok) {
    // This will activate the closest `error.js` Error Boundary
    throw new Error("Failed to fetch data");
  }

  return res.json();
}

export default async function page({ params, searchParams }) {
  const initialData = await getData(searchParams, params);
  return (
    <>
      <Banner
        title="Boats For Sale"
        catagory="Power Boats"
        subcatagory="Motor Boats"
      />
      <div className="flex flex-col lg:flex-row container mx-auto">
        <Main initialData={initialData} />
        <div className="py-6 px-4 ">
          <BoatListingCard initialData={initialData} />
        </div>
      </div>
    </>
  );
}
